Bug 1473322 - [abrt] tracker: tracker_db_interface_lock(): tracker-store killed by signal 11
[abrt] tracker: tracker_db_interface_lock(): tracker-store killed by signal 11
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: tracker (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:78762a793b26046b2a500ea2d4b...
:
: 1476604 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-20 09:26 EDT by Cristian Hernández Ossa
Modified: 2018-05-29 08:06 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:06:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (23.46 KB, text/plain)
2017-07-20 09:26 EDT, Cristian Hernández Ossa
no flags Details
File: cgroup (219 bytes, text/plain)
2017-07-20 09:26 EDT, Cristian Hernández Ossa
no flags Details
File: core_backtrace (16.26 KB, text/plain)
2017-07-20 09:26 EDT, Cristian Hernández Ossa
no flags Details
File: cpuinfo (1.52 KB, text/plain)
2017-07-20 09:26 EDT, Cristian Hernández Ossa
no flags Details
File: dso_list (4.16 KB, text/plain)
2017-07-20 09:26 EDT, Cristian Hernández Ossa
no flags Details
File: environ (1.46 KB, text/plain)
2017-07-20 09:26 EDT, Cristian Hernández Ossa
no flags Details
File: exploitable (110 bytes, text/plain)
2017-07-20 09:26 EDT, Cristian Hernández Ossa
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-20 09:26 EDT, Cristian Hernández Ossa
no flags Details
File: maps (20.21 KB, text/plain)
2017-07-20 09:26 EDT, Cristian Hernández Ossa
no flags Details
File: open_fds (1.28 KB, text/plain)
2017-07-20 09:26 EDT, Cristian Hernández Ossa
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-07-20 09:26 EDT, Cristian Hernández Ossa
no flags Details
File: var_log_messages (262 bytes, text/plain)
2017-07-20 09:26 EDT, Cristian Hernández Ossa
no flags Details

  None (edit)
Description Cristian Hernández Ossa 2017-07-20 09:26:13 EDT
Version-Release number of selected component:
tracker-1.12.1-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/tracker-store
crash_function: tracker_db_interface_lock
executable:     /usr/libexec/tracker-store
journald_cursor: s=935c51b015bd40119bc0a4bf73643c5f;i=4699;b=780d35f14fed4985b85cf2f46e9e1d12;m=3c513d46;t=554befa2c9cb2;x=8698d8430814917d
kernel:         4.11.10-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 tracker_db_interface_lock at tracker-db-interface-sqlite.c:1436
 #1 tracker_db_interface_execute_vquery at tracker-db-interface-sqlite.c:2304
 #2 tracker_db_interface_execute_query at tracker-db-interface.c:41
 #3 tracker_store_wal_checkpoint at /home/carlos/Source/gnome/tracker/src/tracker-store/tracker-store.vala:254
 #4 tracker_store_checkpoint_dispatch_cb at /home/carlos/Source/gnome/tracker/src/tracker-store/tracker-store.vala:288
 #5 _tracker_store_checkpoint_dispatch_cb_gfunc at /home/carlos/Source/gnome/tracker/src/tracker-store/tracker-store.vala:310
 #7 g_thread_proxy at gthread.c:784
Comment 1 Cristian Hernández Ossa 2017-07-20 09:26:18 EDT
Created attachment 1301724 [details]
File: backtrace
Comment 2 Cristian Hernández Ossa 2017-07-20 09:26:20 EDT
Created attachment 1301725 [details]
File: cgroup
Comment 3 Cristian Hernández Ossa 2017-07-20 09:26:21 EDT
Created attachment 1301726 [details]
File: core_backtrace
Comment 4 Cristian Hernández Ossa 2017-07-20 09:26:23 EDT
Created attachment 1301727 [details]
File: cpuinfo
Comment 5 Cristian Hernández Ossa 2017-07-20 09:26:24 EDT
Created attachment 1301728 [details]
File: dso_list
Comment 6 Cristian Hernández Ossa 2017-07-20 09:26:26 EDT
Created attachment 1301729 [details]
File: environ
Comment 7 Cristian Hernández Ossa 2017-07-20 09:26:27 EDT
Created attachment 1301730 [details]
File: exploitable
Comment 8 Cristian Hernández Ossa 2017-07-20 09:26:29 EDT
Created attachment 1301731 [details]
File: limits
Comment 9 Cristian Hernández Ossa 2017-07-20 09:26:31 EDT
Created attachment 1301732 [details]
File: maps
Comment 10 Cristian Hernández Ossa 2017-07-20 09:26:32 EDT
Created attachment 1301733 [details]
File: open_fds
Comment 11 Cristian Hernández Ossa 2017-07-20 09:26:34 EDT
Created attachment 1301734 [details]
File: proc_pid_status
Comment 12 Cristian Hernández Ossa 2017-07-20 09:26:35 EDT
Created attachment 1301735 [details]
File: var_log_messages
Comment 13 bcrussi 2017-07-30 12:47:16 EDT
*** Bug 1476604 has been marked as a duplicate of this bug. ***
Comment 14 ricky.tigg 2017-08-04 17:51:19 EDT
Similar problem has been detected:

Today in a row happened three processes killed by signal 11. 

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/tracker-store
crash_function: tracker_db_interface_lock
executable:     /usr/libexec/tracker-store
journald_cursor: s=bb546b37d7ec4b37afaf10b08267e777;i=a8ab;b=6d41aeda7dc641bc871ffbfa03597954;m=1db083298;t=555f443abeedc;x=b50fc006fdcf341e
kernel:         4.11.11-300.fc26.x86_64
package:        tracker-1.12.1-1.fc26
reason:         tracker-store killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 ricky.tigg 2017-08-11 05:46:07 EDT
Similar problem has been detected:

I attempted to install the Virtualization group using Yum Extender (component: yumex-dnf) but before application to be closed by force it causes the message
“g-io-error-quark: GDBus.Error:org.freedesktop.DBus.Python.ValueError: Traceback (most recent call last):
  File "/usr/lib64/python3.6/site-packages/dbus/service.py", line 707, in _message_cb
    retval = candidate_method(self, *args, **keywords)
  File "/usr/lib/python3.6/site-packages/dnfdaemon/server/__init__.py", line 83, in newFunc
    rc = func(*args, **kwargs)
  File "/usr/share/dnfdaemon/dnfdaemon-system", line 372, in GroupInstall
    value = self.group_install(cmds)
  File "/usr/lib/python3.6/site-packages/dnfdaemon/server/__init__.py", line 391, in group_install
    self.base.group_install(grp, pkg_types)
  File "/usr/lib/python3.6/site-packages/dnf/base.py", line 1519, in group_install
    strict)
  File "/usr/lib/python3.6/site-packages/dnf/comps.py", line 90, in install_or_skip
    return install_fnc(grp_or_env_id, types, exclude, strict)
  File "/usr/lib/python3.6/site-packages/dnf/comps.py", line 600, in _group_install
    raise ValueError(_("Group_id '%s' does not exist.") % ucd(group_id))
ValueError: Group_id '<dnf.comps.Group object at 0x7ff31a943a58>' does not exist.
 (36)”.

Otherwise after that issue for which I presently reported above I installed it in terminal (# dnf groupinstall 'Virtualization') then using yumex I attempted to uninstall it which causes the message
”Error(s) in building transactiongroup : r : virtualization”.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/tracker-store
crash_function: tracker_db_interface_lock
executable:     /usr/libexec/tracker-store
journald_cursor: s=cfdd1efa94f44ae7a0be3d1822573382;i=1999ee;b=fbdb93e8af9947e680f2ccf0830f1c27;m=1cebd1e82;t=55676bfa63297;x=702fe01bf43031b1
kernel:         4.11.11-300.fc26.x86_64
package:        tracker-1.12.1-1.fc26
reason:         tracker-store killed by signal 11
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Fedora End Of Life 2018-05-03 04:42:18 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2018-05-29 08:06:31 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.